Package org.apache.wiki.event

## Class WorkflowEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.wiki.event.WikiEvent
    - - org.apache.wiki.event.WorkflowEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public final class WorkflowEvent
    extends WikiEvent

WorkflowEvent indicates that a state change to a Workflow: started, running, waiting, completed, aborted. These correspond exactly to the states described in the `org.apache.wiki.workflow.Workflow`. All events are logged with priority INFO.

Since:
  2.3.79
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ABORTED` If a Step has elected to abort the Workflow.
`static int` `COMPLETED` After the Workflow has finished processing all Steps, without errors.
`static int` `CREATED` After Workflow instantiation.
`static int` `DQ_ADDITION` When the workflow wishes to add a Decision to the DecisionQueue
`static int` `DQ_DECIDE` When the decision queue decides the outcome of a Decision
`static int` `DQ_REASSIGN` When the decision queue reassigns a Decision
`static int` `DQ_REMOVAL` When the workflow wishes to remove a Decision from the DecisionQueue
`static int` `RUNNING` After the Workflow has been started (or re-started) using the `org.apache.wiki.workflow.Workflow#start()` method, but before it has finished processing all Steps.
`static int` `STARTED` After the Workflow has been instantiated, but before it has been started using the `org.apache.wiki.workflow.Workflow#start()` method.
`static int` `WAITING` When the Workflow has temporarily paused, for example because of a pending Decision.

### Fields inherited from class org.apache.wiki.event.WikiEvent

`ERROR, UNDEFINED`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`WorkflowEvent​(java.lang.Object src, int type)` Constructs a new instance of this event type, which signals a security event has occurred.
`WorkflowEvent​(java.lang.Object src, int type, java.lang.Object... args)` Constructs a new instance of this event type, which signals a security event has occurred.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `eventName​(int type)` Returns a textual representation of an event type.
`java.lang.String` `toString()` Prints a String (human-readable) representation of this object.

### Methods inherited from class org.apache.wiki.event.WikiEvent

`eventName, getArg, getArgs, getSrc, getType, getTypeDescription, getWhen, isValidType, setType`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CREATED

    public static final int CREATED

After Workflow instantiation.

See Also:
  Constant Field Values

#### STARTED

    public static final int STARTED

After the Workflow has been instantiated, but before it has been started using the `org.apache.wiki.workflow.Workflow#start()` method.

See Also:
  Constant Field Values

#### RUNNING

    public static final int RUNNING

After the Workflow has been started (or re-started) using the `org.apache.wiki.workflow.Workflow#start()` method, but before it has finished processing all Steps.

See Also:
  Constant Field Values

#### WAITING

    public static final int WAITING

When the Workflow has temporarily paused, for example because of a pending Decision.

See Also:
  Constant Field Values

#### COMPLETED

    public static final int COMPLETED

After the Workflow has finished processing all Steps, without errors.

See Also:
  Constant Field Values

#### ABORTED

    public static final int ABORTED

If a Step has elected to abort the Workflow.

See Also:
  Constant Field Values

#### DQ_ADDITION

    public static final int DQ_ADDITION

When the workflow wishes to add a Decision to the DecisionQueue

See Also:
  Constant Field Values

#### DQ_REMOVAL

    public static final int DQ_REMOVAL

When the workflow wishes to remove a Decision from the DecisionQueue

See Also:
  Constant Field Values

#### DQ_DECIDE

    public static final int DQ_DECIDE

When the decision queue decides the outcome of a Decision

See Also:
  Constant Field Values

#### DQ_REASSIGN

    public static final int DQ_REASSIGN

When the decision queue reassigns a Decision

See Also:
  Constant Field Values

### Constructor Detail

#### WorkflowEvent

    public WorkflowEvent​(java.lang.Object src,
                         int type)

Constructs a new instance of this event type, which signals a security event has occurred. The `source` parameter is required, and may not be `null`. When the WikiSecurityEvent is constructed, the security logger `WikiSecurityEvent#log` is notified.

Parameters:
  `src` - the source of the event, which can be any object: a wiki page, group or authentication/authentication/group manager.
  `type` - the type of event

#### WorkflowEvent

    public WorkflowEvent​(java.lang.Object src,
                         int type,
                         java.lang.Object... args)

Constructs a new instance of this event type, which signals a security event has occurred. The `source` parameter is required, and may not be `null`. When the WikiSecurityEvent is constructed, the security logger `WikiSecurityEvent#log` is notified.

Parameters:
  `src` - the source of the event, which can be any object: a wiki page, group or authentication/authentication/group manager.
  `type` - the type of event

### Method Detail

#### toString

    public java.lang.String toString()

Prints a String (human-readable) representation of this object.

Overrides:
  `toString` in class `WikiEvent`
Returns:
  the String representation
See Also:
  `Object.toString()`

#### eventName

    public java.lang.String eventName​(int type)

Returns a textual representation of an event type.

Parameters:
  `type` - the type
Returns:
  the string representation